Komodo IDE

Komodo IDE é o melhor Software para desenvolvimento de aplicativos na Web e nos dispositivos móveis. Todas as integrações e ‘’frameworks’’ que você precisa.

Saiba mais

Solicite uma cotação

Descrição do Software | Komodo IDE

Komodo IDE: o melhor IDE para desenvolvimento de aplicativos na Web e nos dispositivos móveis Todas as integrações e ‘’frameworks’’ que você precisa Komodo IDE inclui todas as integrações que você precisa para permanecer na zona e fazer mais. Obtenha seus frameworks favoritos, idiomas e ferramentas em um IDE poliglota de várias plataformas. Comece seu julgamento de 21 dias hoje O Komodo suporta mais de 100 idiomas, incluindo Python, PHP, Go, Perl, Tcl, Ruby, NodeJS, HTML, CSS, JavaScript e muito mais.

Características:

Komodo IDE é um editor abrangente que oferece uma grande variedade de integrações projetadas para tornar seu trabalho mais fácil. Além de oferecer suporte para mais de 100 idiomas em qualquer sistema operacional, o Komodo é adaptável às suas necessidades. Komodo é realmente o único IDE que você precisará. Editor avançado Um editor poderoso que facilita qualquer coisa que você possa sonhar Alterações de percurso Uma margem no editor destaca as alterações não guardadas, bem como quaisquer alterações SCC não confirmadas. Ao clicar na margem, será exibida uma caixa de diálogo diff, permitindo reverter as mudanças. Markdown Viewer Komodo fornece uma visualização do HTML gerado diretamente em uma vista dividida e atualizará sempre que você fizer uma alteração no texto de Markdown. Seleções múltiplas Selecione várias posições no editor, para que as alterações feitas em uma posição sejam refletidas em todas as posições selecionadas. Marcadores rápidos Coloque rapidamente marcadores numéricos e vá até eles, permitindo que você use marcadores como mais do que apenas lembretes. Código dobrável / Blocos de código Código dobrado Coluna / edição de bloco, Comentário de linha / bloco e mais Detecção inteligente de idioma A verificação e o destaque de sintaxe detectam vários idiomas dentro de um arquivo.

Vista dividida e Multi-janela Divida uma sessão para editar lado a lado ou em várias janelas. Destaque variável Clique em uma variável para ver todas as ocorrências. Snippets de abreviatura automática Digite uma abreviatura para ativar automaticamente a seleção de fragmentos. Combinações de teclas Vi / Vim, emacs, OS X, Windows / Linux incluído. Poderosos fragmentos, macros e textos de usuários Insira fragmentos com abreviaturas. Use macros para automatizar sequências repetitivas. Snippets condicionais Use o JavaScript embutido para determinar o conteúdo do trecho no tempo de execução. Tabstops elásticos O Komodo corta automaticamente seu código à medida que você digita, veja Elastic Tabstops.

Compartilhamento em ‘’slack’’ Compartilhe snippets de código diretamente de Komodo para sua equipe em ‘’slack’’ Cordova.png Cordova & PhoneGap Execute emuladores, crie alvos, interaja com Cordova & PhoneGap sem esforço. Chrome.png Depuração do Chrome Depurar aplicativos da web sem ferramentas Chrome Chrome, coloque seus pontos de interrupção onde você escreve seu código. Gulp.png Gulp, Grunt, NPM, Yarn Integra-se com Gulp, Grunt, NPM e Yarn, dando-lhe acesso rápido a tarefas comuns. Chrome.png Ferramenta de Tutorial Escreva e use tutoriais para idiomas, incluindo Catalyst, Django, Flask, Pyramid e Rails. React.png Angular, Ember, Reagir, .. O Komodo suporta vários frameworks populares da web moderna.

Requisitos do sistema:

Requisitos de hardware 1GHz (ou mais rápido) processador x86 ou x86_64 1 GB de RAM 250 MB de espaço no disco rígido 350 MB de espaço temporário no disco rígido durante a instalação Requisitos do sistema operacional As seguintes plataformas são oficialmente suportadas. Actualizações críticas atuais, atualizações do Windows e Service Packs devem estar instalados (consulte http://windowsupdate.microsoft.com). Windows 10 Windows 8 (mas não suportado como uma aplicação de Metro) Windows 7 Windows Server (2008 R2 ou mais recente) Pré-requisitos de software no Windows Diversos Pré-requisitos: Perl Dev Kit: para criar programas executáveis, controles ActiveX e serviços do Windows em Perl, você deve ter o programa Perl Dev Kit do ActiveState versão 3.1 ou superior instalado no seu sistema.

Softwares Relacionados

Não achou o que procurava, veja esse produtos

Escolha seu software e faça uma cotação!

Icone

Não sabe qual software escolher?

Nós temos um time preparado para te ajudar a escolher o software ideal para sua empresa.
Pergunte para gente!
Icone

Não achou o que procura?

Temos uma base de diversos empresas parceiras, e podemos achar o software que você quer.
A gente procura para você!
Copyright © OSB Software 2019 - Todos os direitos reservados.